---
id: rousi
name: Rousi
description: "Rousi is a CHINESE Private Torrent Tracker for MOVIES / TV / GENERAL"
language: zh-CN
type: private
encoding: UTF-8
requestDelay: 2
links:
  - https://rousi.zip/

caps:
  # dont forget to update the path categories in the search block
  categorymappings:
    - {id: 401, cat: Movies, desc: "Movies(电影)", default: true}
    - {id: 402, cat: TV, desc: "TV Series(电视剧)", default: true}
    - {id: 403, cat: TV, desc: "TV Shows(综艺)", default: true}
    - {id: 404, cat: TV/Documentary, desc: "Documentaries(纪录片)", default: true}
    - {id: 407, cat: TV/Sport, desc: "Sports(体育、竞技、武术及相关)", default: true}
    - {id: 410, cat: Console, desc: "Games(游戏及相关)", default: true}
    - {id: 406, cat: Audio, desc: "Music(音乐、专辑、MV、演唱会)", default: true}
    - {id: 419, cat: TV, desc: "Art(舞蹈、歌剧、戏曲、相声、评书等)", default: true}
    - {id: 411, cat: Other, desc: "Science(科学、知识、技能)", default: true}
    - {id: 412, cat: Other, desc: "School(应试、考级、初中以上教育)", default: true}
    - {id: 413, cat: Books, desc: "Book(书籍、杂志、报刊、有声书)", default: true}
    - {id: 414, cat: Other, desc: "Code(IT技术、建模、编程、信息技术、大数据、人工智能)", default: true}
    - {id: 405, cat: TV/Anime, desc: "Animations(3D动画、2.5次元)", default: true}
    - {id: 415, cat: Other, desc: "ACGN(二次元、漫画、动漫)", default: true}
    - {id: 416, cat: Other, desc: "Baby(婴幼、儿童、早教、小学及相关)", default: true}
    - {id: 417, cat: Other, desc: "Resource(图片、文档、素材、模板)", default: true}
    - {id: 418, cat: PC, desc: "Software(软件、系统、程序、APP等)", default: true}
    - {id: 409, cat: Other, desc: "Other(其它，确认上边无分类)", default: true}
    - {id: 420, cat: XXX, desc: "步兵(步兵/无码)", default: false}
    - {id: 421, cat: XXX, desc: "骑兵(骑兵/有码)", default: false}
    - {id: 422, cat: XXX, desc: "III(三级片、限制级电影)", default: false}
    - {id: 423, cat: XXX, desc: "H漫(动漫、漫画)", default: false}
    - {id: 424, cat: XXX, desc: "H游(游戏及相关)", default: false}
    - {id: 425, cat: XXX, desc: "H书(书籍、有声书)", default: false}
    - {id: 426, cat: XXX, desc: "H图(写真、图片、私拍、短视频)", default: false}
    - {id: 427, cat: XXX, desc: "H音(ASMR、音频、音乐)", default: false}
    - {id: 428, cat: XXX, desc: "H综(综艺、综合、剪辑、其它等)", default: false}
    - {id: 429, cat: XXX, desc: "H同(男同、女同)", default: false}

  modes:
    search: [q]
    tv-search: [q, season, ep, imdbid, doubanid]
    movie-search: [q, imdbid, doubanid]
    music-search: [q]
    book-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: 2facode
    type: text
    label: 2FA code
  - name: info_2fa
    type: info
    label: "About 2FA code"
    default: "Only fill in the <b>2FA code</b> box if you have enabled <b>2FA</b> on the Rousi Web Site. Otherwise just leave it empty."
  - name: freeleech
    type: checkbox
    label: Search freeleech only
    default: false
  - name: sort
    type: select
    label: Sort requested from site
    default: 4
    options:
      4: created
      7: seeders
      5: size
      1: title
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc
  - name: info_tpp
    type: info
    label: Results Per Page
    default: For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile.
  - name: info_special
    type: info
    label: "About the Special area (3X)"
    default: "Note that the <b>Special area</b> (3X) is only available to ranks <b>Power User</b> and <b>above</b>. If you are a <i>Peasant</i> or <i>User</i> then a search for <i>3X</i> torrents will return <b>0</b> results."
  - name: info_activity
    type: info
    label: Account Inactivity
    default: "Account retention rules:<ol><li>Veteran User and above will be retained forever</li><li>Elite User and above will not have their account deleted after parking (in the control panel).</li><li>Users with a parked account will be deleted if they do not log in for 400 consecutive days</li><li>Users with a non-parked account will be deleted if they do not log in for 150 consecutive days</li><li>Users who have no traffic (i.e. upload/download data are both 0) will be deleted if they do not log in for 100 consecutive days.</li></ol>"

login:
  path: login.php
  method: form
  form: form[action="takelogin.php"]
  captcha:
    type: image
    selector: img[alt="CAPTCHA"]
    input: imagestring
  inputs:
    secret: ""
    username: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
    two_step_code: "{{ .Config.2facode }}"
    logout: ""
    securelogin: ""
    ssl: yes
    trackerssl: yes
  error:
    - selector: td.embedded:has(h2:contains("失败"))
  test:
    path: index.php
    selector: a[href="logout.php"]

search:
  paths:
    - path: torrents.php
      categories: [401, 402, 403, 404, 407, 410, 406, 419, 411, 412, 413, 414, 405, 415, 416, 417, 418, 409]
    - path: special.php
      categories: [420, 421, 422, 423, 424, 425, 426, 427, 428, 429]
  inputs:
    $raw: "{{ range .Categories }}cat{{.}}=1&{{end}}"
    search: "{{ if .Query.IMDBID }}{{ .Query.IMDBID }}{{ else }}{{ end }}{{ if or .Query.IMDBID .Query.DoubanID }} {{ else }}{{ .Keywords }}{{ end }}{{ if .Query.DoubanID }}{{ .Query.DoubanID }}{{ else }}{{ end }}"
    # 0 incldead, 1 active, 2 dead
    incldead: 0
    # 0 all, 1 normal, 2 free, 3 2x, 4 2xfree, 5 50%, 6 2x50%, 7 30%
    spstate: "{{ if .Config.freeleech }}2{{ else }}0{{ end }}"
    # 0 title, 1 descr, 3 uploader, 4 imdburl
    search_area: "{{ if .Query.IMDBID }}4{{ else }}{{ end }}{{ if .Query.DoubanID }}1{{ else }}{{ end }}{{ if or .Query.IMDBID .Query.DoubanID }}{{ else }}0{{ end }}"
    # 0 AND, 2 exact
    search_mode: 0
    sort: "{{ .Config.sort }}"
    type: "{{ .Config.type }}"
    notnewword: 1

  rows:
    selector: table.torrents > tbody > tr:has(a[href^="download.php?id="])

  fields:
    category:
      selector: a[href^="?cat="]
      attribute: href
      filters:
        - name: querystring
          args: cat
    title_default:
      selector: a[href^="details.php?id="]
    title:
      selector: a[title][href^="details.php?id="]
      attribute: title
      optional: true
      default: "{{ .Result.title_default }}"
    details:
      selector: a[href^="details.php?id="]
      attribute: href
    download:
      selector: a[href^="download.php?id="]
      attribute: href
    poster:
      selector: img[data-src]
      attribute: data-src
    imdbid:
      # site currently only has a badge and rating, the id is not present. just in case a future update.
      selector: a[href*="imdb.com/title/tt"]
      attribute: href
    doubanid:
      # site currently only has a badge and rating, the id is not present. just in case a future update.
      selector: a[href*="movie.douban.com/subject/"]
      attribute: href
    date_elapsed:
      # time type: time elapsed (default)
      selector: td.rowfollow:nth-child(4) > span[title]
      attribute: title
      optional: true
      filters:
        - name: append
          args: " +08:00" # CST
        - name: dateparse
          args: "yyyy-MM-dd HH:mm:ss zzz"
    date_added:
      # time added
      selector: td.rowfollow:nth-child(4):not(:has(span))
      optional: true
      filters:
        - name: append
          args: " +08:00" # CST
        - name: dateparse
          args: "yyyy-MM-ddHH:mm:ss zzz"
    date:
      text: "{{ if or .Result.date_elapsed .Result.date_added }}{{ or .Result.date_elapsed .Result.date_added }}{{ else }}now{{ end }}"
    size:
      selector: td.rowfollow:nth-child(5)
    seeders:
      selector: td.rowfollow:nth-child(6)
    leechers:
      selector: td.rowfollow:nth-child(7)
    grabs:
      selector: td.rowfollow:nth-child(8)
    downloadvolumefactor:
      case:
        img.pro_free: 0
        img.pro_free2up: 0
        img.pro_50pctdown: 0.5
        img.pro_50pctdown2up: 0.5
        img.pro_30pctdown: 0.3
        "*": 1
    uploadvolumefactor:
      case:
        img.pro_50pctdown2up: 2
        img.pro_free2up: 2
        img.pro_2up: 2
        "*": 1
    description_verified:
      case:
        span[title="通过"], span[title="通過"], span[title="Allowed"]: "Verified:"
        span[title="未审"], span[title="未審"], span[title="Not reviewed"]: "Unverified:"
        span[title="拒绝"], span[title="拒絕"], span[title="Denied"]: "Banned:"
    description:
      selector: td:nth-child(2)
      remove: a, b, font, img, span
      filters:
        - name: prepend
          args: "{{ .Result.description_verified }} "
# NexusPHP v1.9.11 2025-11-02
